summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2014-05-01 04:09:10 +0200
committer Willy Sudiarto Raharjo2014-05-01 04:13:28 +0200
commit6720f1bb30a6c415622597577235541d0e2745cc (patch)
tree2c681cb12a6e808214af3b87249c2df6ade8bc1c
parent31e55e02098cefc3a767e318a1c1b5c396aebbe0 (diff)
downloadslackbuilds-6720f1bb30a6c415622597577235541d0e2745cc.tar.gz
games/yar: Added (2d shooting game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/yar/README4
-rw-r--r--games/yar/doinst.sh3
-rw-r--r--games/yar/missingincludes.diff13
-rw-r--r--games/yar/slack-desc19
-rw-r--r--games/yar/yar.SlackBuild91
-rw-r--r--games/yar/yar.desktop8
-rw-r--r--games/yar/yar.info10
-rw-r--r--games/yar/yar.pngbin0 -> 795 bytes
8 files changed, 148 insertions, 0 deletions
diff --git a/games/yar/README b/games/yar/README
new file mode 100644
index 0000000000..69d8b5354e
--- /dev/null
+++ b/games/yar/README
@@ -0,0 +1,4 @@
+yar (2d shooting game)
+
+Yar's Revenge, a rather weird shoot-em-up game that originated on the
+Atari 2600.
diff --git a/games/yar/doinst.sh b/games/yar/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/yar/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/yar/missingincludes.diff b/games/yar/missingincludes.diff
new file mode 100644
index 0000000000..47647c58d2
--- /dev/null
+++ b/games/yar/missingincludes.diff
@@ -0,0 +1,13 @@
+diff -Naur yar-0.99/yar/sgw.hxx yar-0.99.patched/yar/sgw.hxx
+--- yar-0.99/yar/sgw.hxx 2003-10-25 04:15:47.000000000 -0400
++++ yar-0.99.patched/yar/sgw.hxx 2014-04-29 12:03:28.000000000 -0400
+@@ -24,6 +24,9 @@
+
+ #include <iostream>
+ #include <string>
++#include <cstdio>
++#include <cstdlib>
++#include <cmath>
+
+ #define DEFAULT_SCX (1024) // Default Screen Size and Depth
+ #define DEFAULT_SCY (768)
diff --git a/games/yar/slack-desc b/games/yar/slack-desc
new file mode 100644
index 0000000000..c91546157f
--- /dev/null
+++ b/games/yar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yar: yar (2d shooting game)
+yar:
+yar: Yar's Revenge, a rather weird shoot-em-up game that originated on the
+yar: Atari 2600.
+yar:
+yar:
+yar:
+yar:
+yar:
+yar:
+yar:
diff --git a/games/yar/yar.SlackBuild b/games/yar/yar.SlackBuild
new file mode 100644
index 0000000000..010fc43a4d
--- /dev/null
+++ b/games/yar/yar.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for yar
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=yar
+VERSION=${VERSION:-0.99}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/missingincludes.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --bindir=/usr/games \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# icon made from a screenshot of the game
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop written for this build
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# no man page as there are no options
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/yar/yar.desktop b/games/yar/yar.desktop
new file mode 100644
index 0000000000..03841d9cd0
--- /dev/null
+++ b/games/yar/yar.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Yar's Revenge
+Comment=Atari 2600 classic
+Exec=yar
+Icon=yar
+Terminal=false
+Type=Application
+Categories=Game;ArcadeGame;
diff --git a/games/yar/yar.info b/games/yar/yar.info
new file mode 100644
index 0000000000..2f5b639e09
--- /dev/null
+++ b/games/yar/yar.info
@@ -0,0 +1,10 @@
+PRGNAM="yar"
+VERSION="0.99"
+HOMEPAGE="http://www.robsons.org.uk/archive/www.autismuk.freeserve.co.uk/index.htm"
+DOWNLOAD="http://www.robsons.org.uk/archive/www.autismuk.freeserve.co.uk/yar-0.99.tar.gz"
+MD5SUM="eab1d6a58ed13410a5347f83f8938367"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/yar/yar.png b/games/yar/yar.png
new file mode 100644
index 0000000000..53bd952d9e
--- /dev/null
+++ b/games/yar/yar.png
Binary files differ